floppym     15/04/19 15:59:46

  Modified:             python-debian-0.1.26.ebuild ChangeLog
  Log:
  Simplify python_test function.
  
  (Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key 
0BBEEA1FEA4843A4)

Revision  Changes    Path
1.2                  dev-python/python-debian/python-debian-0.1.26.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-debian/python-debian-0.1.26.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-debian/python-debian-0.1.26.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-debian/python-debian-0.1.26.ebuild?r1=1.1&r2=1.2

Index: python-debian-0.1.26.ebuild
===================================================================
RCS file: 
/var/cvsroot/gentoo-x86/dev-python/python-debian/python-debian-0.1.26.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- python-debian-0.1.26.ebuild 13 Apr 2015 09:31:18 -0000      1.1
+++ python-debian-0.1.26.ebuild 19 Apr 2015 15:59:46 -0000      1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/dev-python/python-debian/python-debian-0.1.26.ebuild,v 
1.1 2015/04/13 09:31:18 jlec Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/dev-python/python-debian/python-debian-0.1.26.ebuild,v 
1.2 2015/04/19 15:59:46 floppym Exp $
 
 EAPI="5"
 
@@ -35,11 +35,7 @@
 
 python_test() {
        pushd tests > /dev/null || die
-       local t
-       for t in test_*.py ; do
-               einfo "Running ${t} using ${EPYTHON}"
-               "${PYTHON}" "${t}" || die "Testing failed with ${EPYTHON}"
-       done
+       "${PYTHON}" -m unittest discover || die "Testing failed with ${EPYTHON}"
        popd > /dev/null || die
 }
 



1.11                 dev-python/python-debian/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-debian/ChangeLog?rev=1.11&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-debian/ChangeLog?rev=1.11&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/python-debian/ChangeLog?r1=1.10&r2=1.11

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/python-debian/ChangeLog,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- ChangeLog   13 Apr 2015 09:31:18 -0000      1.10
+++ ChangeLog   19 Apr 2015 15:59:46 -0000      1.11
@@ -1,6 +1,9 @@
 # ChangeLog for dev-python/python-debian
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/python-debian/ChangeLog,v 1.10 
2015/04/13 09:31:18 jlec Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/python-debian/ChangeLog,v 1.11 
2015/04/19 15:59:46 floppym Exp $
+
+  19 Apr 2015; Mike Gilbert <[email protected]> python-debian-0.1.26.ebuild:
+  Simplify python_test function.
 
 *python-debian-0.1.26 (13 Apr 2015)
 




Reply via email to